<?php
// This file was auto-generated from sdk-root/src/data/monitoring/2010-08-01/docs-2.json
return [ 'version' => '2.0', 'service' => '<p>Amazon CloudWatch monitors your Amazon Web Services (AWS) resources and the applications you run on AWS in real-time. You can use CloudWatch to collect and track metrics, which are the variables you want to measure for your resources and applications.</p> <p>CloudWatch alarms send notifications or automatically make changes to the resources you are monitoring based on rules that you define. For example, you can monitor the CPU usage and disk reads and writes of your Amazon Elastic Compute Cloud (Amazon EC2) instances and then use this data to determine whether you should launch additional instances to handle increased load. You can also use this data to stop under-used instances to save money.</p> <p>In addition to monitoring the built-in metrics that come with AWS, you can monitor your own custom metrics. With CloudWatch, you gain system-wide visibility into resource utilization, application performance, and operational health.</p>', 'operations' => [ 'DeleteAlarms' => '<p>Deletes the specified alarms. In the event of an error, no alarms are deleted.</p>', 'DescribeAlarmHistory' => '<p>Retrieves the history for the specified alarm. You can filter the results by date range or item type. If an alarm name is not specified, the histories for all alarms are returned.</p> <p>Note that Amazon CloudWatch retains the history of an alarm even if you delete the alarm.</p>', 'DescribeAlarms' => '<p>Retrieves the specified alarms. If no alarms are specified, all alarms are returned. Alarms can be retrieved by using only a prefix for the alarm name, the alarm state, or a prefix for any action.</p>', 'DescribeAlarmsForMetric' => '<p>Retrieves the alarms for the specified metric. Specify a statistic, period, or unit to filter the results.</p>', 'DisableAlarmActions' => '<p>Disables the actions for the specified alarms. When an alarm\'s actions are disabled, the alarm actions do not execute when the alarm state changes.</p>', 'EnableAlarmActions' => '<p>Enables the actions for the specified alarms.</p>', 'GetMetricStatistics' => '<p>Gets statistics for the specified metric.</p> <p>Amazon CloudWatch retains metric data as follows:</p> <ul> <li> <p>Data points with a period of 60 seconds (1 minute) are available for 15 days</p> </li> <li> <p>Data points with a period of 300 seconds (5 minute) are available for 63 days</p> </li> <li> <p>Data points with a period of 3600 seconds (1 hour) are available for 455 days (15 months)</p> </li> </ul> <p>Note that CloudWatch started retaining 5-minute and 1-hour metric data as of 9 July 2016.</p> <p>The maximum number of data points returned from a single call is 1,440. If you request more than 1,440 data points, Amazon CloudWatch returns an error. To reduce the number of data points, you can narrow the specified time range and make multiple requests across adjacent time ranges, or you can increase the specified period. A period can be as short as one minute (60 seconds). Note that data points are not returned in chronological order.</p> <p>Amazon CloudWatch aggregates data points based on the length of the period that you specify. For example, if you request statistics with a one-hour period, Amazon CloudWatch aggregates all data points with time stamps that fall within each one-hour period. Therefore, the number of values aggregated by CloudWatch is larger than the number of data points returned.</p> <p>CloudWatch needs raw data points to calculate percentile statistics. If you publish data using a statistic set instead, you cannot retrieve percentile statistics for this data unless one of the following conditions is true:</p> <ul> <li> <p>The SampleCount of the statistic set is 1</p> </li> <li> <p>The Min and the Max of the statistic set are equal</p> </li> </ul> <p>For a list of metrics and dimensions supported by AWS services, see the <a href="http://docs.aws.amazon.com/AmazonCloudWatch/latest/monitoring/CW_Support_For_AWS.html">Amazon CloudWatch Metrics and Dimensions Reference</a> in the <i>Amazon CloudWatch User Guide</i>.</p>', 'ListMetrics' => '<p>List the specified metrics. You can use the returned metrics with <a>GetMetricStatistics</a> to obtain statistical data.</p> <p>Up to 500 results are returned for any one call. To retrieve additional results, use the returned token with subsequent calls.</p> <p>After you create a metric, allow up to fifteen minutes before the metric appears. Statistics about the metric, however, are available sooner using <a>GetMetricStatistics</a>.</p>', 'PutMetricAlarm' => '<p>Creates or updates an alarm and associates it with the specified metric. Optionally, this operation can associate one or more Amazon SNS resources with the alarm.</p> <p>When this operation creates an alarm, the alarm state is immediately set to <code>INSUFFICIENT_DATA</code>. The alarm is evaluated and its state is set appropriately. Any actions associated with the state are then executed.</p> <p>When you update an existing alarm, its state is left unchanged, but the update completely overwrites the previous configuration of the alarm.</p> <p>If you are an AWS Identity and Access Management (IAM) user, you must have Amazon EC2 permissions for some operations:</p> <ul> <li> <p> <code>ec2:DescribeInstanceStatus</code> and <code>ec2:DescribeInstances</code> for all alarms on EC2 instance status metrics</p> </li> <li> <p> <code>ec2:StopInstances</code> for alarms with stop actions</p> </li> <li> <p> <code>ec2:TerminateInstances</code> for alarms with terminate actions</p> </li> <li> <p> <code>ec2:DescribeInstanceRecoveryAttribute</code> and <code>ec2:RecoverInstances</code> for alarms with recover actions</p> </li> </ul> <p>If you have read/write permissions for Amazon CloudWatch but not for Amazon EC2, you can still create an alarm, but the stop or terminate actions won\'t be performed. However, if you are later granted the required permissions, the alarm actions that you created earlier will be performed.</p> <p>If you are using an IAM role (for example, an Amazon EC2 instance profile), you cannot stop or terminate the instance using alarm actions. However, you can still see the alarm state and perform any other actions such as Amazon SNS notifications or Auto Scaling policies.</p> <p>If you are using temporary security credentials granted using the AWS Security Token Service (AWS STS), you cannot stop or terminate an Amazon EC2 instance using alarm actions.</p> <p>Note that you must create at least one stop, terminate, or reboot alarm using the Amazon EC2 or CloudWatch console to create the <b>EC2ActionsAccess</b> IAM role. After this IAM role is created, you can create stop, terminate, or reboot alarms using a command-line interface or an API.</p>', 'PutMetricData' => '<p>Publishes metric data points to Amazon CloudWatch. Amazon CloudWatch associates the data points with the specified metric. If the specified metric does not exist, Amazon CloudWatch creates the metric. When Amazon CloudWatch creates a metric, it can take up to fifteen minutes for the metric to appear in calls to <a>ListMetrics</a>.</p> <p>Each <code>PutMetricData</code> request is limited to 40 KB in size for HTTP POST requests.</p> <p>Although the <code>Value</code> parameter accepts numbers of type <code>Double</code>, Amazon CloudWatch rejects values that are either too small or too large. Values must be in the range of 8.515920e-109 to 1.174271e+108 (Base 10) or 2e-360 to 2e360 (Base 2). In addition, special values (e.g., NaN, +Infinity, -Infinity) are not supported.</p> <p>You can use up to 10 dimensions per metric to further clarify what data the metric collects. For more information on specifying dimensions, see <a href="http://docs.aws.amazon.com/AmazonCloudWatch/latest/monitoring/publishingMetrics.html">Publishing Metrics</a> in the <i>Amazon CloudWatch User Guide</i>.</p> <p>Data points with time stamps from 24 hours ago or longer can take at least 48 hours to become available for <a>GetMetricStatistics</a> from the time they are submitted.</p> <p>CloudWatch needs raw data points to calculate percentile statistics. If you publish data using a statistic set instead, you cannot retrieve percentile statistics for this data unless one of the following conditions is true:</p> <ul> <li> <p>The SampleCount of the statistic set is 1</p> </li> <li> <p>The Min and the Max of the statistic set are equal</p> </li> </ul>', 'SetAlarmState' => '<p>Temporarily sets the state of an alarm for testing purposes. When the updated state differs from the previous value, the action configured for the appropriate state is invoked. For example, if your alarm is configured to send an Amazon SNS message when an alarm is triggered, temporarily changing the alarm state to <code>ALARM</code> sends an Amazon SNS message. The alarm returns to its actual state (often within seconds). Because the alarm state change happens very quickly, it is typically only visible in the alarm\'s <b>History</b> tab in the Amazon CloudWatch console or through <a>DescribeAlarmHistory</a>.</p>', ], 'shapes' => [ 'ActionPrefix' => [ 'base' => NULL, 'refs' => [ 'DescribeAlarmsInput$ActionPrefix' => '<p>The action name prefix.</p>', ], ], 'ActionsEnabled' => [ 'base' => NULL, 'refs' => [ 'MetricAlarm$ActionsEnabled' => '<p>Indicates whether actions should be executed during any changes to the alarm state.</p>', 'PutMetricAlarmInput$ActionsEnabled' => '<p>Indicates whether actions should be executed during any changes to the alarm state.</p>', ], ], 'AlarmArn' => [ 'base' => NULL, 'refs' => [ 'MetricAlarm$AlarmArn' => '<p>The Amazon Resource Name (ARN) of the alarm.</p>', ], ], 'AlarmDescription' => [ 'base' => NULL, 'refs' => [ 'MetricAlarm$AlarmDescription' => '<p>The description of the alarm.</p>', 'PutMetricAlarmInput$AlarmDescription' => '<p>The description for the alarm.</p>', ], ], 'AlarmHistoryItem' => [ 'base' => '<p>Represents the history of a specific alarm.</p>', 'refs' => [ 'AlarmHistoryItems$member' => NULL, ], ], 'AlarmHistoryItems' => [ 'base' => NULL, 'refs' => [ 'DescribeAlarmHistoryOutput$AlarmHistoryItems' => '<p>The alarm histories, in JSON format.</p>', ], ], 'AlarmName' => [ 'base' => NULL, 'refs' => [ 'AlarmHistoryItem$AlarmName' => '<p>The descriptive name for the alarm.</p>', 'AlarmNames$member' => NULL, 'DescribeAlarmHistoryInput$AlarmName' => '<p>The name of the alarm.</p>', 'MetricAlarm$AlarmName' => '<p>The name of the alarm.</p>', 'PutMetricAlarmInput$AlarmName' => '<p>The name for the alarm. This name must be unique within the AWS account.</p>', 'SetAlarmStateInput$AlarmName' => '<p>The name for the alarm. This name must be unique within the AWS account. The maximum length is 255 characters.</p>', ], ], 'AlarmNamePrefix' => [ 'base' => NULL, 'refs' => [ 'DescribeAlarmsInput$AlarmNamePrefix' => '<p>The alarm name prefix. You cannot specify <code>AlarmNames</code> if this parameter is specified.</p>', ], ], 'AlarmNames' => [ 'base' => NULL, 'refs' => [ 'DeleteAlarmsInput$AlarmNames' => '<p>The alarms to be deleted.</p>', 'DescribeAlarmsInput$AlarmNames' => '<p>The names of the alarms.</p>', 'DisableAlarmActionsInput$AlarmNames' => '<p>The names of the alarms.</p>', 'EnableAlarmActionsInput$AlarmNames' => '<p>The names of the alarms.</p>', ], ], 'AwsQueryErrorMessage' => [ 'base' => NULL, 'refs' => [ 'InvalidParameterCombinationException$message' => '<p/>', 'InvalidParameterValueException$message' => '<p/>', 'MissingRequiredParameterException$message' => '<p/>', ], ], 'ComparisonOperator' => [ 'base' => NULL, 'refs' => [ 'MetricAlarm$ComparisonOperator' => '<p>The arithmetic operation to use when comparing the specified statistic and threshold. The specified statistic value is used as the first operand.</p>', 'PutMetricAlarmInput$ComparisonOperator' => '<p> The arithmetic operation to use when comparing the specified statistic and threshold. The specified statistic value is used as the first operand.</p>', ], ], 'Datapoint' => [ 'base' => '<p>Encapsulates the statistical data that Amazon CloudWatch computes from metric data.</p>', 'refs' => [ 'Datapoints$member' => NULL, ], ], 'DatapointValue' => [ 'base' => NULL, 'refs' => [ 'Datapoint$SampleCount' => '<p>The number of metric values that contributed to the aggregate value of this data point.</p>', 'Datapoint$Average' => '<p>The average of the metric values that correspond to the data point.</p>', 'Datapoint$Sum' => '<p>The sum of the metric values for the data point.</p>', 'Datapoint$Minimum' => '<p>The minimum metric value for the data point.</p>', 'Datapoint$Maximum' => '<p>The maximum metric value for the data point.</p>', 'DatapointValueMap$value' => NULL, 'MetricDatum$Value' => '<p>The value for the metric.</p> <p>Although the parameter accepts numbers of type Double, Amazon CloudWatch rejects values that are either too small or too large. Values must be in the range of 8.515920e-109 to 1.174271e+108 (Base 10) or 2e-360 to 2e360 (Base 2). In addition, special values (for example, NaN, +Infinity, -Infinity) are not supported.</p>', 'StatisticSet$SampleCount' => '<p>The number of samples used for the statistic set.</p>', 'StatisticSet$Sum' => '<p>The sum of values for the sample set.</p>', 'StatisticSet$Minimum' => '<p>The minimum value of the sample set.</p>', 'StatisticSet$Maximum' => '<p>The maximum value of the sample set.</p>', ], ], 'DatapointValueMap' => [ 'base' => NULL, 'refs' => [ 'Datapoint$ExtendedStatistics' => '<p>The percentile statistic for the data point.</p>', ], ], 'Datapoints' => [ 'base' => NULL, 'refs' => [ 'GetMetricStatisticsOutput$Datapoints' => '<p>The data points for the specified metric.</p>', ], ], 'DeleteAlarmsInput' => [ 'base' => NULL, 'refs' => [], ], 'DescribeAlarmHistoryInput' => [ 'base' => NULL, 'refs' => [], ], 'DescribeAlarmHistoryOutput' => [ 'base' => NULL, 'refs' => [], ], 'DescribeAlarmsForMetricInput' => [ 'base' => NULL, 'refs' => [], ], 'DescribeAlarmsForMetricOutput' => [ 'base' => NULL, 'refs' => [], ], 'DescribeAlarmsInput' => [ 'base' => NULL, 'refs' => [], ], 'DescribeAlarmsOutput' => [ 'base' => NULL, 'refs' => [], ], 'Dimension' => [ 'base' => '<p>Expands the identity of a metric.</p>', 'refs' => [ 'Dimensions$member' => NULL, ], ], 'DimensionFilter' => [ 'base' => '<p>Represents filters for a dimension.</p>', 'refs' => [ 'DimensionFilters$member' => NULL, ], ], 'DimensionFilters' => [ 'base' => NULL, 'refs' => [ 'ListMetricsInput$Dimensions' => '<p>The dimensions to filter against.</p>', ], ], 'DimensionName' => [ 'base' => NULL, 'refs' => [ 'Dimension$Name' => '<p>The name of the dimension.</p>', 'DimensionFilter$Name' => '<p>The dimension name to be matched.</p>', ], ], 'DimensionValue' => [ 'base' => NULL, 'refs' => [ 'Dimension$Value' => '<p>The value representing the dimension measurement.</p>', 'DimensionFilter$Value' => '<p>The value of the dimension to be matched.</p>', ], ], 'Dimensions' => [ 'base' => NULL, 'refs' => [ 'DescribeAlarmsForMetricInput$Dimensions' => '<p>The dimensions associated with the metric. If the metric has any associated dimensions, you must specify them in order for the call to succeed.</p>', 'GetMetricStatisticsInput$Dimensions' => '<p>The dimensions. If the metric contains multiple dimensions, you must include a value for each dimension. CloudWatch treats each unique combination of dimensions as a separate metric. You can\'t retrieve statistics using combinations of dimensions that were not specially published. You must specify the same dimensions that were used when the metrics were created. For an example, see <a href="http://docs.aws.amazon.com/AmazonCloudWatch/latest/monitoring/cloudwatch_concepts.html#dimension-combinations">Dimension Combinations</a> in the <i>Amazon CloudWatch User Guide</i>. For more information on specifying dimensions, see <a href="http://docs.aws.amazon.com/AmazonCloudWatch/latest/monitoring/publishingMetrics.html">Publishing Metrics</a> in the <i>Amazon CloudWatch User Guide</i>.</p>', 'Metric$Dimensions' => '<p>The dimensions for the metric.</p>', 'MetricAlarm$Dimensions' => '<p>The dimensions for the metric associated with the alarm.</p>', 'MetricDatum$Dimensions' => '<p>The dimensions associated with the metric.</p>', 'PutMetricAlarmInput$Dimensions' => '<p>The dimensions for the metric associated with the alarm.</p>', ], ], 'DisableAlarmActionsInput' => [ 'base' => NULL, 'refs' => [], ], 'EnableAlarmActionsInput' => [ 'base' => NULL, 'refs' => [], ], 'ErrorMessage' => [ 'base' => NULL, 'refs' => [ 'InvalidFormatFault$message' => '<p/>', 'InvalidNextToken$message' => '<p/>', 'LimitExceededFault$message' => '<p/>', 'ResourceNotFound$message' => '<p/>', ], ], 'EvaluateLowSampleCountPercentile' => [ 'base' => NULL, 'refs' => [ 'MetricAlarm$EvaluateLowSampleCountPercentile' => NULL, 'PutMetricAlarmInput$EvaluateLowSampleCountPercentile' => '<p> Used only for alarms based on percentiles. If you specify <code>ignore</code>, the alarm state will not change during periods with too few data points to be statistically significant. If you specify <code>evaluate</code> or omit this parameter, the alarm will always be evaluated and possibly change state no matter how many data points are available. For more information, see <a href="http://docs.aws.amazon.com/AmazonCloudWatch/latest/monitoring/AlarmThatSendsEmail.html#percentiles-with-low-samples">Percentile-Based CloudWatch Alarms and Low Data Samples</a>.</p> <p>Valid Values: <code>evaluate | ignore</code> </p>', ], ], 'EvaluationPeriods' => [ 'base' => NULL, 'refs' => [ 'MetricAlarm$EvaluationPeriods' => '<p>The number of periods over which data is compared to the specified threshold.</p>', 'PutMetricAlarmInput$EvaluationPeriods' => '<p>The number of periods over which data is compared to the specified threshold.</p>', ], ], 'ExtendedStatistic' => [ 'base' => NULL, 'refs' => [ 'DatapointValueMap$key' => NULL, 'DescribeAlarmsForMetricInput$ExtendedStatistic' => '<p>The percentile statistic for the metric. Specify a value between p0.0 and p100.</p>', 'ExtendedStatistics$member' => NULL, 'MetricAlarm$ExtendedStatistic' => '<p>The percentile statistic for the metric associated with the alarm. Specify a value between p0.0 and p100.</p>', 'PutMetricAlarmInput$ExtendedStatistic' => '<p>The percentile statistic for the metric associated with the alarm. Specify a value between p0.0 and p100.</p>', ], ], 'ExtendedStatistics' => [ 'base' => NULL, 'refs' => [ 'GetMetricStatisticsInput$ExtendedStatistics' => '<p>The percentile statistics. Specify values between p0.0 and p100.</p>', ], ], 'FaultDescription' => [ 'base' => NULL, 'refs' => [ 'InternalServiceFault$Message' => '<p/>', ], ], 'GetMetricStatisticsInput' => [ 'base' => NULL, 'refs' => [], ], 'GetMetricStatisticsOutput' => [ 'base' => NULL, 'refs' => [], ], 'HistoryData' => [ 'base' => NULL, 'refs' => [ 'AlarmHistoryItem$HistoryData' => '<p>Data about the alarm, in JSON format.</p>', ], ], 'HistoryItemType' => [ 'base' => NULL, 'refs' => [ 'AlarmHistoryItem$HistoryItemType' => '<p>The type of alarm history item.</p>', 'DescribeAlarmHistoryInput$HistoryItemType' => '<p>The type of alarm histories to retrieve.</p>', ], ], 'HistorySummary' => [ 'base' => NULL, 'refs' => [ 'AlarmHistoryItem$HistorySummary' => '<p>A summary of the alarm history, in text format.</p>', ], ], 'InternalServiceFault' => [ 'base' => '<p>Request processing has failed due to some unknown error, exception, or failure.</p>', 'refs' => [], ], 'InvalidFormatFault' => [ 'base' => '<p>Data was not syntactically valid JSON.</p>', 'refs' => [], ], 'InvalidNextToken' => [ 'base' => '<p>The next token specified is invalid.</p>', 'refs' => [], ], 'InvalidParameterCombinationException' => [ 'base' => '<p>Parameters that cannot be used together were used together.</p>', 'refs' => [], ], 'InvalidParameterValueException' => [ 'base' => '<p>The value of an input parameter is bad or out-of-range.</p>', 'refs' => [], ], 'LimitExceededFault' => [ 'base' => '<p>The quota for alarms for this customer has already been reached.</p>', 'refs' => [], ], 'ListMetricsInput' => [ 'base' => NULL, 'refs' => [], ], 'ListMetricsOutput' => [ 'base' => NULL, 'refs' => [], ], 'MaxRecords' => [ 'base' => NULL, 'refs' => [ 'DescribeAlarmHistoryInput$MaxRecords' => '<p>The maximum number of alarm history records to retrieve.</p>', 'DescribeAlarmsInput$MaxRecords' => '<p>The maximum number of alarm descriptions to retrieve.</p>', ], ], 'Metric' => [ 'base' => '<p>Represents a specific metric.</p>', 'refs' => [ 'Metrics$member' => NULL, ], ], 'MetricAlarm' => [ 'base' => '<p>Represents an alarm.</p>', 'refs' => [ 'MetricAlarms$member' => NULL, ], ], 'MetricAlarms' => [ 'base' => NULL, 'refs' => [ 'DescribeAlarmsForMetricOutput$MetricAlarms' => '<p>The information for each alarm with the specified metric.</p>', 'DescribeAlarmsOutput$MetricAlarms' => '<p>The information for the specified alarms.</p>', ], ], 'MetricData' => [ 'base' => NULL, 'refs' => [ 'PutMetricDataInput$MetricData' => '<p>The data for the metric.</p>', ], ], 'MetricDatum' => [ 'base' => '<p>Encapsulates the information sent to either create a metric or add new values to be aggregated into an existing metric.</p>', 'refs' => [ 'MetricData$member' => NULL, ], ], 'MetricLabel' => [ 'base' => NULL, 'refs' => [ 'GetMetricStatisticsOutput$Label' => '<p>A label for the specified metric.</p>', ], ], 'MetricName' => [ 'base' => NULL, 'refs' => [ 'DescribeAlarmsForMetricInput$MetricName' => '<p>The name of the metric.</p>', 'GetMetricStatisticsInput$MetricName' => '<p>The name of the metric, with or without spaces.</p>', 'ListMetricsInput$MetricName' => '<p>The name of the metric to filter against.</p>', 'Metric$MetricName' => '<p>The name of the metric.</p>', 'MetricAlarm$MetricName' => '<p>The name of the metric associated with the alarm.</p>', 'MetricDatum$MetricName' => '<p>The name of the metric.</p>', 'PutMetricAlarmInput$MetricName' => '<p>The name for the metric associated with the alarm.</p>', ], ], 'Metrics' => [ 'base' => NULL, 'refs' => [ 'ListMetricsOutput$Metrics' => '<p>The metrics.</p>', ], ], 'MissingRequiredParameterException' => [ 'base' => '<p>An input parameter that is required is missing.</p>', 'refs' => [], ], 'Namespace' => [ 'base' => NULL, 'refs' => [ 'DescribeAlarmsForMetricInput$Namespace' => '<p>The namespace of the metric.</p>', 'GetMetricStatisticsInput$Namespace' => '<p>The namespace of the metric, with or without spaces.</p>', 'ListMetricsInput$Namespace' => '<p>The namespace to filter against.</p>', 'Metric$Namespace' => '<p>The namespace of the metric.</p>', 'MetricAlarm$Namespace' => '<p>The namespace of the metric associated with the alarm.</p>', 'PutMetricAlarmInput$Namespace' => '<p>The namespace for the metric associated with the alarm.</p>', 'PutMetricDataInput$Namespace' => '<p>The namespace for the metric data.</p> <p>You cannot specify a namespace that begins with "AWS/". Namespaces that begin with "AWS/" are reserved for use by Amazon Web Services products.</p>', ], ], 'NextToken' => [ 'base' => NULL, 'refs' => [ 'DescribeAlarmHistoryInput$NextToken' => '<p>The token returned by a previous call to indicate that there is more data available.</p>', 'DescribeAlarmHistoryOutput$NextToken' => '<p>The token that marks the start of the next batch of returned results.</p>', 'DescribeAlarmsInput$NextToken' => '<p>The token returned by a previous call to indicate that there is more data available.</p>', 'DescribeAlarmsOutput$NextToken' => '<p>The token that marks the start of the next batch of returned results.</p>', 'ListMetricsInput$NextToken' => '<p>The token returned by a previous call to indicate that there is more data available.</p>', 'ListMetricsOutput$NextToken' => '<p>The token that marks the start of the next batch of returned results.</p>', ], ], 'Period' => [ 'base' => NULL, 'refs' => [ 'DescribeAlarmsForMetricInput$Period' => '<p>The period, in seconds, over which the statistic is applied.</p>', 'GetMetricStatisticsInput$Period' => '<p>The granularity, in seconds, of the returned data points. A period can be as short as one minute (60 seconds) and must be a multiple of 60. The default value is 60.</p> <p>If the <code>StartTime</code> parameter specifies a time stamp that is greater than 15 days ago, you must specify the period as follows or no data points in that time range is returned:</p> <ul> <li> <p>Start time between 15 and 63 days ago - Use a multiple of 300 seconds (5 minutes).</p> </li> <li> <p>Start time greater than 63 days ago - Use a multiple of 3600 seconds (1 hour).</p> </li> </ul>', 'MetricAlarm$Period' => '<p>The period, in seconds, over which the statistic is applied.</p>', 'PutMetricAlarmInput$Period' => '<p>The period, in seconds, over which the specified statistic is applied.</p>', ], ], 'PutMetricAlarmInput' => [ 'base' => NULL, 'refs' => [], ], 'PutMetricDataInput' => [ 'base' => NULL, 'refs' => [], ], 'ResourceList' => [ 'base' => NULL, 'refs' => [ 'MetricAlarm$OKActions' => '<p>The actions to execute when this alarm transitions to the <code>OK</code> state from any other state. Each action is specified as an Amazon Resource Name (ARN).</p>', 'MetricAlarm$AlarmActions' => '<p>The actions to execute when this alarm transitions to the <code>ALARM</code> state from any other state. Each action is specified as an Amazon Resource Name (ARN).</p>', 'MetricAlarm$InsufficientDataActions' => '<p>The actions to execute when this alarm transitions to the <code>INSUFFICIENT_DATA</code> state from any other state. Each action is specified as an Amazon Resource Name (ARN).</p>', 'PutMetricAlarmInput$OKActions' => '<p>The actions to execute when this alarm transitions to an <code>OK</code> state from any other state. Each action is specified as an Amazon Resource Name (ARN).</p> <p>Valid Values: arn:aws:automate:<i>region</i>:ec2:stop | arn:aws:automate:<i>region</i>:ec2:terminate | arn:aws:automate:<i>region</i>:ec2:recover</p> <p>Valid Values (for use with IAM roles): arn:aws:swf:us-east-1:{<i>customer-account</i>}:action/actions/AWS_EC2.InstanceId.Stop/1.0 | arn:aws:swf:us-east-1:{<i>customer-account</i>}:action/actions/AWS_EC2.InstanceId.Terminate/1.0 | arn:aws:swf:us-east-1:{<i>customer-account</i>}:action/actions/AWS_EC2.InstanceId.Reboot/1.0</p>', 'PutMetricAlarmInput$AlarmActions' => '<p>The actions to execute when this alarm transitions to the <code>ALARM</code> state from any other state. Each action is specified as an Amazon Resource Name (ARN).</p> <p>Valid Values: arn:aws:automate:<i>region</i>:ec2:stop | arn:aws:automate:<i>region</i>:ec2:terminate | arn:aws:automate:<i>region</i>:ec2:recover</p> <p>Valid Values (for use with IAM roles): arn:aws:swf:us-east-1:{<i>customer-account</i>}:action/actions/AWS_EC2.InstanceId.Stop/1.0 | arn:aws:swf:us-east-1:{<i>customer-account</i>}:action/actions/AWS_EC2.InstanceId.Terminate/1.0 | arn:aws:swf:us-east-1:{<i>customer-account</i>}:action/actions/AWS_EC2.InstanceId.Reboot/1.0</p>', 'PutMetricAlarmInput$InsufficientDataActions' => '<p>The actions to execute when this alarm transitions to the <code>INSUFFICIENT_DATA</code> state from any other state. Each action is specified as an Amazon Resource Name (ARN).</p> <p>Valid Values: arn:aws:automate:<i>region</i>:ec2:stop | arn:aws:automate:<i>region</i>:ec2:terminate | arn:aws:automate:<i>region</i>:ec2:recover</p> <p>Valid Values (for use with IAM roles): arn:aws:swf:us-east-1:{<i>customer-account</i>}:action/actions/AWS_EC2.InstanceId.Stop/1.0 | arn:aws:swf:us-east-1:{<i>customer-account</i>}:action/actions/AWS_EC2.InstanceId.Terminate/1.0 | arn:aws:swf:us-east-1:{<i>customer-account</i>}:action/actions/AWS_EC2.InstanceId.Reboot/1.0</p>', ], ], 'ResourceName' => [ 'base' => NULL, 'refs' => [ 'ResourceList$member' => NULL, ], ], 'ResourceNotFound' => [ 'base' => '<p>The named resource does not exist.</p>', 'refs' => [], ], 'SetAlarmStateInput' => [ 'base' => NULL, 'refs' => [], ], 'StandardUnit' => [ 'base' => NULL, 'refs' => [ 'Datapoint$Unit' => '<p>The standard unit for the data point.</p>', 'DescribeAlarmsForMetricInput$Unit' => '<p>The unit for the metric.</p>', 'GetMetricStatisticsInput$Unit' => '<p>The unit for a given metric. Metrics may be reported in multiple units. Not supplying a unit results in all units being returned. If the metric only ever reports one unit, specifying a unit has no effect.</p>', 'MetricAlarm$Unit' => '<p>The unit of the metric associated with the alarm.</p>', 'MetricDatum$Unit' => '<p>The unit of the metric.</p>', 'PutMetricAlarmInput$Unit' => '<p>The unit of measure for the statistic. For example, the units for the Amazon EC2 NetworkIn metric are Bytes because NetworkIn tracks the number of bytes that an instance receives on all network interfaces. You can also specify a unit when you create a custom metric. Units help provide conceptual meaning to your data. Metric data points that specify a unit of measure, such as Percent, are aggregated separately.</p> <p>If you specify a unit, you must use a unit that is appropriate for the metric. Otherwise, the Amazon CloudWatch alarm can get stuck in the <code>INSUFFICIENT DATA</code> state. </p>', ], ], 'StateReason' => [ 'base' => NULL, 'refs' => [ 'MetricAlarm$StateReason' => '<p>An explanation for the alarm state, in text format.</p>', 'SetAlarmStateInput$StateReason' => '<p>The reason that this alarm is set to this specific state, in text format.</p>', ], ], 'StateReasonData' => [ 'base' => NULL, 'refs' => [ 'MetricAlarm$StateReasonData' => '<p>An explanation for the alarm state, in JSON format.</p>', 'SetAlarmStateInput$StateReasonData' => '<p>The reason that this alarm is set to this specific state, in JSON format.</p>', ], ], 'StateValue' => [ 'base' => NULL, 'refs' => [ 'DescribeAlarmsInput$StateValue' => '<p>The state value to be used in matching alarms.</p>', 'MetricAlarm$StateValue' => '<p>The state value for the alarm.</p>', 'SetAlarmStateInput$StateValue' => '<p>The value of the state.</p>', ], ], 'Statistic' => [ 'base' => NULL, 'refs' => [ 'DescribeAlarmsForMetricInput$Statistic' => '<p>The statistic for the metric, other than percentiles. For percentile statistics, use <code>ExtendedStatistics</code>.</p>', 'MetricAlarm$Statistic' => '<p>The statistic for the metric associated with the alarm, other than percentile. For percentile statistics, use <code>ExtendedStatistic</code>.</p>', 'PutMetricAlarmInput$Statistic' => '<p>The statistic for the metric associated with the alarm, other than percentile. For percentile statistics, use <code>ExtendedStatistic</code>.</p>', 'Statistics$member' => NULL, ], ], 'StatisticSet' => [ 'base' => '<p>Represents a set of statistics that describes a specific metric. </p>', 'refs' => [ 'MetricDatum$StatisticValues' => '<p>The statistical values for the metric.</p>', ], ], 'Statistics' => [ 'base' => NULL, 'refs' => [ 'GetMetricStatisticsInput$Statistics' => '<p>The metric statistics, other than percentile. For percentile statistics, use <code>ExtendedStatistic</code>.</p>', ], ], 'Threshold' => [ 'base' => NULL, 'refs' => [ 'MetricAlarm$Threshold' => '<p>The value to compare with the specified statistic.</p>', 'PutMetricAlarmInput$Threshold' => '<p>The value against which the specified statistic is compared.</p>', ], ], 'Timestamp' => [ 'base' => NULL, 'refs' => [ 'AlarmHistoryItem$Timestamp' => '<p>The time stamp for the alarm history item.</p>', 'Datapoint$Timestamp' => '<p>The time stamp used for the data point.</p>', 'DescribeAlarmHistoryInput$StartDate' => '<p>The starting date to retrieve alarm history.</p>', 'DescribeAlarmHistoryInput$EndDate' => '<p>The ending date to retrieve alarm history.</p>', 'GetMetricStatisticsInput$StartTime' => '<p>The time stamp that determines the first data point to return. Note that start times are evaluated relative to the time that CloudWatch receives the request.</p> <p>The value specified is inclusive; results include data points with the specified time stamp. The time stamp must be in ISO 8601 UTC format (for example, 2016-10-03T23:00:00Z).</p> <p>CloudWatch rounds the specified time stamp as follows:</p> <ul> <li> <p>Start time less than 15 days ago - Round down to the nearest whole minute. For example, 12:32:34 is rounded down to 12:32:00.</p> </li> <li> <p>Start time between 15 and 63 days ago - Round down to the nearest 5-minute clock interval. For example, 12:32:34 is rounded down to 12:30:00.</p> </li> <li> <p>Start time greater than 63 days ago - Round down to the nearest 1-hour clock interval. For example, 12:32:34 is rounded down to 12:00:00.</p> </li> </ul>', 'GetMetricStatisticsInput$EndTime' => '<p>The time stamp that determines the last data point to return.</p> <p>The value specified is exclusive; results will include data points up to the specified time stamp. The time stamp must be in ISO 8601 UTC format (for example, 2016-10-10T23:00:00Z).</p>', 'MetricAlarm$AlarmConfigurationUpdatedTimestamp' => '<p>The time stamp of the last update to the alarm configuration.</p>', 'MetricAlarm$StateUpdatedTimestamp' => '<p>The time stamp of the last update to the alarm state.</p>', 'MetricDatum$Timestamp' => '<p>The time the metric data was received, expressed as the number of milliseconds since Jan 1, 1970 00:00:00 UTC.</p>', ], ], 'TreatMissingData' => [ 'base' => NULL, 'refs' => [ 'MetricAlarm$TreatMissingData' => NULL, 'PutMetricAlarmInput$TreatMissingData' => '<p> Sets how this alarm is to handle missing data points. If <code>TreatMissingData</code> is omitted, the default behavior of <code>missing</code> is used. For more information, see <a href="http://docs.aws.amazon.com/AmazonCloudWatch/latest/monitoring/AlarmThatSendsEmail.html#alarms-and-missing-data">Configuring How CloudWatch Alarms Treats Missing Data</a>.</p> <p>Valid Values: <code>breaching | notBreaching | ignore | missing</code> </p>', ], ], ],];
